/*
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright © 2003 Atheros Communications, Inc.,  All Rights Reserved.
 */

#include <linux/module.h>
#include "asm/atheros/wmac_support.h"

EXPORT_SYMBOL(ar5312_WMACsl_init);
EXPORT_SYMBOL(ar5312_WMACsl_UnitIsValid);
EXPORT_SYMBOL(ar5312_WMACsl_IrqGet);
EXPORT_SYMBOL(ar5312_WMACsl_Enable);
EXPORT_SYMBOL(ar5312_WMACsl_SOCRevInfoGet);
EXPORT_SYMBOL(WMACsl_LineSizeGet);
EXPORT_SYMBOL(WMACsl_MemStartGet);
EXPORT_SYMBOL(WMACsl_MemSizeGet);
EXPORT_SYMBOL(WMACsl_WMACRevInfoGet);
EXPORT_SYMBOL(WMACsl_Reset);
EXPORT_SYMBOL(WMACsl_UnReset);
EXPORT_SYMBOL(WMACsl_EepromRead);
EXPORT_SYMBOL(WMACsl_EepromWrite);
EXPORT_SYMBOL(WMACsl_GpioCfgOutput);
EXPORT_SYMBOL(WMACsl_GpioCfgInput);
EXPORT_SYMBOL(WMACsl_GpioCfgIntr);
EXPORT_SYMBOL(WMACsl_GpioGet);
EXPORT_SYMBOL(WMACsl_GpioSet);
EXPORT_SYMBOL(WMACsl_MapSingle);
EXPORT_SYMBOL(WMACsl_UnmapSingle);
EXPORT_SYMBOL(WMACsl_DmaSyncSingle);
EXPORT_SYMBOL(WMACsl_AllocConsistent);
EXPORT_SYMBOL(WMACsl_FreeConsistent);
EXPORT_SYMBOL(WMACsl_StateIsSleeping);
EXPORT_SYMBOL(WMACsl_PowerModeGet);
EXPORT_SYMBOL(WMACsl_DMAIn);
EXPORT_SYMBOL(WMACsl_mac_address_get);

/*
 * GPIO interface functions
 */

extern void ar531x_gpio_intr_init(int irq_base);
extern void ar531x_gpio_ctrl_output(int gpio);
extern void ar531x_gpio_ctrl_input(int gpio);
extern void ar531x_gpio_set(int gpio, int val);
extern int  ar531x_gpio_get(int gpio);
extern void ar531x_gpio_intr_enable(unsigned int irq);
extern void ar531x_gpio_intr_disable(unsigned int irq);

EXPORT_SYMBOL(ar531x_gpio_intr_init);
EXPORT_SYMBOL(ar531x_gpio_ctrl_output);
EXPORT_SYMBOL(ar531x_gpio_ctrl_input);
EXPORT_SYMBOL(ar531x_gpio_set);
EXPORT_SYMBOL(ar531x_gpio_get);
EXPORT_SYMBOL(ar531x_gpio_intr_enable);
EXPORT_SYMBOL(ar531x_gpio_intr_disable);

