#include "utils.h"
#include "tc_util.h"

extern void qdisc_list_add(struct qdisc_util *q);
extern void filter_list_add(struct filter_util *q);

extern struct qdisc_util ieee80211_util;
extern struct qdisc_util bfifo_util;
extern struct qdisc_util pfifo_util;
extern struct qdisc_util prio_util;
extern struct filter_util u32_util;

void no_dynamic_loader_init(void)
{
	qdisc_list_add(&ieee80211_util);
	qdisc_list_add(&bfifo_util);
	qdisc_list_add(&pfifo_util);
	qdisc_list_add(&prio_util);
	filter_list_add(&u32_util);
}
