//
//  javax.microedition.io.SocketConnection.java
//  kangaroo
//
//  Created by Volker Gies on Thu Aug 15 2002.
//  Copyright (c) 2002, 2003 GYRO net GmbH. All rights reserved.
//

package javax.microedition.io;

import java.io.IOException;

/**
 * @version $Id: SocketConnection.java,v 1.2 2003/11/02 09:14:16 carter Exp $
 * @author Volker Gies
 *
 */
public interface SocketConnection extends StreamConnection {
    public static byte DELAY = 0;
    public static byte LINGER = 1;
    public static byte KEEPALIVE = 2;
    public static byte RCVBUF = 3;
    public static byte SNDBUF = 4;
    
    public String getAddress() throws IOException;
    public String getLocalAddress() throws IOException;
    public int getLocalPort() throws IOException;
    public int getPort() throws IOException;
    public int getSocketOption(byte option) throws IllegalArgumentException, IOException;
    public void setSocketOption(byte option, int value) throws IllegalArgumentException, IOException;
}
