#ifndef __PRIVACY_H___
#define __PRIVACY_H___

typedef struct priv_info_s{
	int if_index;		/* Interface index */
	int priv_invoked;
	int wep_default_key_id;
	int wep_key_map_length;
	int exclude_unencrypt;
	int wep_icv_err_count;
	int wep_excluded_count;
}dot11_priv_info;


int GetPrivacyEntries(void);
int GetPrivacyTableData(void);
int GetPrivacyTableIndexCount(void);
void GetPrivacyEntryByIndex(int index, dot11_priv_info *info);
int SetPrivacyInvoked(dot11_priv_info *info, int *val, int len);
int SetWEPDefaultKeyID(dot11_priv_info *info, int *val, int len);
int SetWEPKeyMappingLength(dot11_priv_info *info, int *val, int len);

#endif  /* __PRIVACY_H__*/
