#ifndef __RESOURCE_INFO_H__
#define __RESOURCE_INFO_H__


typedef struct dot11_res_info_s{
	int if_index;		/* Interface index */
	char manufacturer_oui[4];
	int manufacturer_oui_len;
	char manufacturer_name[256];
	int manufacturer_name_len;
	char manufacturer_pdt_name[256];
	int manufacturer_pdt_name_len;
	char manufacturer_pdt_version[256];
	int manufacturer_pdt_version_len;
}dot11_res_info;


int GetResourceInfoEntries(void);
int GetResourceInfoTableData(void);
int GetResourceInfoTableIndexCount(void);
void GetResourceInfoEntryByIndex(int index, dot11_res_info *info);
#endif  /* __RESOURCE_INFO_H__*/
