<!-- Copyright 2004 Instant802 Networks, Inc. All Rights Reserved. -->

<?ct def:print_wep_toggle_functions(prefix) ?>
    function <?ct var:prefix ?>WepKeyCharsRequiredByForm() {
                return wepKeyCharsRequired(document.forms[0].elements['<?ct var:prefix ?>wepKeyLength'][0].checked ? 5 : 13,
                                           document.forms[0].elements['<?ct var:prefix ?>useAsciiWepKeys'][0].checked);
    }
    function <?ct var:prefix ?>toggleWepKeyChars() {
        var chars = <?ct var:prefix ?>WepKeyCharsRequiredByForm();
        document.forms[0].elements['<?ct var:prefix ?>wepKeyChars'].value = chars;
    }
<?ct /def ?>

<?ct def:print_block_broadcasts(prefix) ?>
    <tr align="center">
      <td class="namelevelone">
          Broadcast SSID
      </td>
      <?ct call:print_vfiller() ?>
      <td class="value">
          <input class="value" type="radio" value="off"
          <?ct call:print_box_name_checked(prefix+"BlockBroadcasts", "off") ?>> Allow
          <input class="value" type="radio" value="on"
          <?ct call:print_box_name_checked(prefix+"BlockBroadcasts", "on") ?>> Prohibit
      </td>
    </tr>
<?ct /def ?>

<?ct def:print_wep_transfer_key_index(layer_prefix, macro_prefix) ?>
    <tr>
        <td class="namelevelone">
            Transfer Key Index
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <select name="<?ct var:layer_prefix ?>wepTransferKeyIndex">
                <option <?ct call:print_option_value_selecteded(macro_prefix+"wepTransferKeyIndex", "1") ?>>1
                <option <?ct call:print_option_value_selecteded(macro_prefix+"wepTransferKeyIndex", "2") ?>>2
                <option <?ct call:print_option_value_selecteded(macro_prefix+"wepTransferKeyIndex", "3") ?>>3
                <option <?ct call:print_option_value_selecteded(macro_prefix+"wepTransferKeyIndex", "4") ?>>4
            </select>
        </td>
    </tr>
<?ct /def ?>

<?ct if:0 ?>
/**
 * Prints the WEP key length.
 * @param layer_prefix the prefix for the element name.
 * @param macro_prefix the prefix for the i802 macro.
 */
<?ct /if ?>
<?ct def:print_wep_key_length(layer_prefix, macro_prefix) ?>
    <tr>
        <td class="namelevelone">
	    Key Length
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
	    <input type=radio value="40" onClick="<?ct var:layer_prefix ?>toggleWepKeyChars()" <?ct call:print_prefixed_box_name_or_macro_checked(layer_prefix, macro_prefix, "wepKeyLength", "40") ?>><?ct if:CONFIG_OAP_UI_IV_IN_WEP_BIT_COUNT ?>64<?ct else ?>40<?ct /if ?> bits
	    <input type=radio value="104" onClick="<?ct var:layer_prefix ?>toggleWepKeyChars()" <?ct call:print_prefixed_box_name_or_macro_checked(layer_prefix, macro_prefix, "wepKeyLength", "104") ?>><?ct if:CONFIG_OAP_UI_IV_IN_WEP_BIT_COUNT ?>128<?ct else ?>104<?ct /if ?> bits
	</td>
    </tr>
<?ct /def ?>

<?ct if:0 ?>
/**
 * Prints the WEP key type.
 * @param layer_prefix the prefix for the element name.
 * @param macro_prefix the prefix for the i802 macro.
 */
<?ct /if ?>
<?ct def:print_wep_key_type(layer_prefix, macro_prefix) ?>
    <tr>
        <td class="namelevelone">
	    Key Type
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
	    <input type=radio value="on" onClick="<?ct var:layer_prefix ?>toggleWepKeyChars()" <?ct call:print_prefixed_box_name_or_macro_checked(layer_prefix, macro_prefix, "useAsciiWepKeys", "on") ?>>ASCII
	    <input type=radio value="off" onClick="<?ct var:layer_prefix ?>toggleWepKeyChars()" <?ct call:print_prefixed_box_name_or_macro_checked(layer_prefix, macro_prefix, "useAsciiWepKeys", "off") ?>>Hex
	</td>
    </tr>
<?ct /def ?>

<?ct def:print_wep_characters_required(layer_prefix) ?>
    <tr>
        <td class="namelevelone">
            Characters Required
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <input type="text" size="2" readonly="true" name="<?ct var:layer_prefix ?>wepKeyChars">
        </td>
    </tr>
<?ct /def ?>

<?ct if:0 ?>
/**
 * Prints a WEP key text input.
 * Current:
 * @param layer_prefix  the prefix for the element name.
 * @param macro_prefix  the prefix for the i802 macro.
 * @param section_label the label for the section of keys.
 *                      Use &nbsp; for keys other than the first of a section.
 * @param key_label     the label for the key.
 * @param name          the i802 macro name.
 */
<?ct /if ?>
<?ct def:print_wep_key(layer_prefix, macro_prefix, section_label, key_label, name) ?>
    <tr>
        <td class="namelevelone">
            <?ct var:section_label ?>
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <?ct var:key_label ?> <input type="text" size="26"  maxlength="26" style="FONT-FAMILY: monospace" <?ct call:print_prefixed_text_name_or_macro(layer_prefix, macro_prefix, name) ?>>
        </td>
    </tr>
<?ct /def ?>

<?ct def:print_wep_four_keys(layer_prefix, macro_prefix) ?>
    <?ct call:print_wep_key(layer_prefix, macro_prefix, "WEP Keys", "1:", "wepKey1") ?>
    <?ct call:print_wep_key(layer_prefix, macro_prefix, "&nbsp;",   "2:", "wepKey2") ?>
    <?ct call:print_wep_key(layer_prefix, macro_prefix, "&nbsp;",   "3:", "wepKey3") ?>
    <?ct call:print_wep_key(layer_prefix, macro_prefix, "&nbsp;",   "4:", "wepKey4") ?>
<?ct /def ?>

<?ct def:print_wep_keys(layer_prefix, macro_prefix) ?>
    <?ct call:print_wep_transfer_key_index(layer_prefix, macro_prefix) ?>
    <?ct call:print_wep_key_length(layer_prefix, macro_prefix) ?>
    <?ct call:print_wep_key_type(layer_prefix, macro_prefix) ?>
    <?ct call:print_wep_characters_required(layer_prefix) ?>
    <?ct call:print_wep_four_keys(layer_prefix, macro_prefix) ?>
<?ct /def ?>


<?ct def:print_enable_radius_accounting(layer_prefix, macro_prefix) ?>
    <tr>
        <td class="namelevelone">
            &nbsp;
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <input type="checkbox" <?ct call:print_prefixed_box_name_or_macro_checked(layer_prefix, macro_prefix, "radiusAcctEnabled", "on") ?>> Enable radius accounting
            <input type="hidden" name="<?ct var:layer_prefix ?>radiusAcctEnabled" value="hidden">
        </td>
    </tr>
<?ct /def ?>

<?ct def:print_auth_server_toggle_functions(prefix) ?>
    function <?ct var:prefix ?>getRadiusElements() {
        var elements = new Array();

        addQuadElements(elements, 0, '<?ct var:prefix ?>radiusIp');
        elements[elements.length] = document.forms[0].elements['<?ct var:prefix ?>radiusKey']
        elements[elements.length] = document.forms[0].elements['<?ct var:prefix ?>radiusAcctEnabled'][0];
        elements[elements.length] = document.forms[0].elements['<?ct var:prefix ?>radiusAcctEnabled'][1];

        return elements;
    }
    function <?ct var:prefix ?>toggleAuthServer(indicator) {
        var radiusElements = <?ct var:prefix ?>getRadiusElements();
        if (indicator.value == "builtIn") {
           disableElements(radiusElements);
        } else {
           enableElements(radiusElements);
        }
    }
<?ct /def ?>

<?ct def:print_radius_server(layer_prefix, macro_prefix) ?>
    <?ct if:CONFIG_OAP_ORCHESTRATOR ?>
    <tr>
        <td class="namelevelone">
            Authentication Server 
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <select name="<?ct var:layer_prefix ?>authServer"
                    onChange="<?ct var:layer_prefix ?>toggleAuthServer(this)">
                <option <?ct call:print_option_value_selecteded(macro_prefix+"authServer", "builtIn") ?>>Built-in
                <option <?ct call:print_option_value_selecteded(macro_prefix+"authServer", "external") ?>>External
        </td>
    </tr>
    <?ct /if ?>
    <tr>
        <td class="namelevelone">
            Radius IP
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <?ct call:print_ip_boxes_with_prefix(layer_prefix, macro_prefix, "radiusIp") ?>
        </td>
    </tr>
    <tr>
        <td class="namelevelone">
            Radius Key
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <input type=password <?ct call:print_prefixed_text_name_or_macro(layer_prefix, macro_prefix, "radiusKey") ?>>
        </td>
    </tr>
    <tr>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <?ct call:print_enable_radius_accounting(layer_prefix, macro_prefix) ?>
        </td>
    </tr>
<?ct /def ?>

<?ct def:print_allow_non_wpa(prefix) ?>
    <tr>
        <td class=namelevelon>
            &nbsp;
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <input type="checkbox" onClick="if (this.checked) { alert('Warning: Allowing non-WPA stations changes the Group Cipher to WEP-104 for WPA stations, which reduces the security of your network!'); }"
                   <?ct call:print_box_name_checked(prefix+"allowNonWpaClients", "on") ?>> Allow non-WPA IEEE 802.1x clients
            <input type="hidden" name="<?ct var:prefix ?>allowNonWpaClients" value="hidden">
        </td>
    </tr>
<?ct /def ?>

<?ct def:print_wpa2_stations(layer_prefix, macro_prefix) ?>
<?ct if:CONFIG_OAP_WPA2 ?>
    <tr>
	<td class="namelevelone">
	    WPA Versions
	</td>
	<?ct call:print_vfiller() ?>
	<td class="value">
	    <select name="<?ct var:layer_prefix ?>wpa2Clients" <?ct if:layer_prefix == "wpa_with_radius_layer" ?>onChange="<?ct var:layer_prefix ?>SetPreAuthOption();"<?ct /if ?>>
		<option <?ct call:print_option_value_selecteded(macro_prefix+"wpa2Clients", "WPA") ?>>WPA
		<option <?ct call:print_option_value_selecteded(macro_prefix+"wpa2Clients", "WPA2") ?>>WPA2
		<option <?ct call:print_option_value_selecteded(macro_prefix+"wpa2Clients", "both") ?>>Both
	    </select>
	</td>
    </tr>
<?ct /if ?>
<?ct /def ?>

<?ct def:print_wpa2_preauth(layer_prefix, macro_prefix) ?>
<?ct if:CONFIG_OAP_WPA2 ?>
    <script language="javascript" type="text/javascript" >
            function <?ct var:layer_prefix ?>SetPreAuthOption() {
                    var wpa2ClientsSelect = document.forms[0].elements['<?ct var:layer_prefix ?>wpa2Clients'];
                    var preAuthCheckBox = document.forms[0].elements['<?ct var:layer_prefix ?>wpa2PreAuth'][0];

                    if(wpa2ClientsSelect && preAuthCheckBox) {
                            preAuthCheckBox.disabled = (wpa2ClientsSelect.value == "WPA");
                    }
            }
    </script>	
    <tr>
        <?ct call:print_vfiller() ?>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <input type="checkbox" <?ct call:print_prefixed_box_name_or_macro_checked(layer_prefix, macro_prefix, "wpa2PreAuth", "on") ?>> Enable pre-authentication
            <input type="hidden" name="<?ct var:layer_prefix ?>wpa2PreAuth" value="hidden">
        </td>
    </tr>
<?ct /if ?>
<?ct /def ?>

<?ct def:print_cipher_suites(layer_prefix, macro_prefix) ?>
    <tr>
	<td class="namelevelone">
	    Cipher Suites
	</td>
	<?ct call:print_vfiller() ?>
	<td class="value">
	    <select name="<?ct var:layer_prefix ?>wpaPairwiseCipher">
		<option <?ct call:print_option_value_selecteded(macro_prefix+"wpaPairwiseCipher", "TKIP") ?>>TKIP
		<option <?ct call:print_option_value_selecteded(macro_prefix+"wpaPairwiseCipher", "CCMP") ?>>CCMP (AES)
		<option <?ct call:print_option_value_selecteded(macro_prefix+"wpaPairwiseCipher", "both") ?>>Both
	    </select>
	</td>
    </tr>
<?ct /def ?>

<?ct def:print_static_wep_layer(prefix) ?>
    <div class="security-layer" id="<?ct var:prefix ?>static_wep_layer">
        <table align="center">
            <?ct call:print_wep_keys(prefix+"static_wep_layer", prefix) ?>
			<br>
            <tr>
                <td class="namelevelone">
                    Authentication Algorithms
                </td>
                <?ct call:print_vfiller() ?>
                <td class="value">
                    <select name="<?ct var:prefix ?>static_wep_layerauthAlgs">
                        <option <?ct call:print_option_value_selecteded(prefix+"authAlgs", "open system") ?>>Open System
                        <option <?ct call:print_option_value_selecteded(prefix+"authAlgs", "shared key") ?>>Shared Key
                        <option <?ct call:print_option_value_selecteded(prefix+"authAlgs", "both") ?>>Both
                    </select>
                </td>
            </tr>
        </table>
    </div>
<?ct /def ?>

<?ct def:print_one_x_layer(prefix) ?>
    <div class="security-layer" id="<?ct var:prefix ?>one_x_layer">
        <table align="center">
            <?ct call:print_radius_server(prefix+"one_x_layer", prefix) ?>
        </table>
    </div>
<?ct /def ?>

<?ct def:print_wpa_with_radius_layer(prefix) ?>
    <div class="security-layer" id="<?ct var:prefix ?>wpa_with_radius_layer">
        <table align="center">
            <?ct call:print_wpa2_stations(prefix+"wpa_with_radius_layer", prefix) ?>
            <?ct call:print_wpa2_preauth(prefix+"wpa_with_radius_layer", prefix) ?>
            <?ct call:print_cipher_suites(prefix+"wpa_with_radius_layer", prefix) ?>
            <?ct call:print_radius_server(prefix+"wpa_with_radius_layer", prefix) ?>
        </table>
    </div>
<?ct /def ?>

<?ct def:print_wpa_psk_layer(prefix) ?>
    <div class="security-layer" id="<?ct var:prefix ?>wpa_psk_layer">
        <table align="center">
            <?ct call:print_wpa2_stations(prefix+"wpa_psk_layer", prefix) ?>
            <?ct call:print_cipher_suites(prefix+"wpa_psk_layer", prefix) ?>
            <tr>
                <td class="namelevelone">
                    Key
                </td>
                <?ct call:print_vfiller() ?>
                <td class="value">
                    <input type="text" size="32" maxlength="63" <?ct call:print_prefixed_text_name_or_macro(prefix+"wpa_psk_layer", prefix, "wpaPskKey") ?>>
                </td>
            </tr>
        </table>
    </div>
<?ct /def ?>

<?ct def:print_security_mode(prefix) ?>
    <tr align="center">
        <td class="namelevelone">
            Security Mode 
        </td>
        <?ct call:print_vfiller() ?>
        <td class="value">
            <select name="<?ct var:prefix ?>securityMode" onChange="<?ct var:prefix ?>toggleSecurityMode(this)">
                <option <?ct call:print_option_value_selecteded(prefix+"securityMode", "plain-text") ?>>None
                <option <?ct call:print_option_value_selecteded(prefix+"securityMode", "static-wep") ?>>Static WEP
                <option <?ct call:print_option_value_selecteded(prefix+"securityMode", "dot1x") ?>>IEEE 802.1x
                <option <?ct call:print_option_value_selecteded(prefix+"securityMode", "wpa-personal") ?>>WPA/WPA2 Personal (PSK)
                <option <?ct call:print_option_value_selecteded(prefix+"securityMode", "wpa-enterprise") ?>>WPA/WPA2 Enterprise (RADIUS)
            </select>
        </td>
    </tr>
<?ct /def ?>

<?ct def:print_security_layers(prefix) ?>
    <?ct call:print_static_wep_layer(prefix) ?>
    <?ct call:print_one_x_layer(prefix) ?>
    <?ct call:print_wpa_psk_layer(prefix) ?>
    <?ct call:print_wpa_with_radius_layer(prefix) ?>
<?ct /def ?>

<?ct def:print_security_javascript_init(prefix) ?>
    <?ct var:prefix ?>toggleSecurityMode(document.forms[0].elements['<?ct var:prefix ?>securityMode']);

    <?ct var:prefix ?>static_wep_layertoggleWepKeyChars();

    <?ct if:CONFIG_OAP_WPA2 ?>
      <?ct var:prefix ?>wpa_with_radius_layerSetPreAuthOption();	
    <?ct /if ?>

    <?ct if:CONFIG_OAP_ORCHESTRATOR ?>
        <?ct var:prefix ?>one_x_layertoggleAuthServer(document.forms[0].elements['<?ct var:prefix ?>one_x_layerauthServer']);
        <?ct var:prefix ?>wpa_with_radius_layertoggleAuthServer(document.forms[0].elements['<?ct var:prefix ?>wpa_with_radius_layerauthServer']);
    <?ct /if ?>

<?ct /def ?>

<?ct if:0 ?>
/**
 * Prints the JavaScript validation functions.
 * @param prefix    the prefix to put in fron of each function.
 * @param printable a printable name for the user to distinguish
 *                  different prefixes.
 */
<?ct /if ?>
<?ct def:print_security_javascript_validate_functions(prefix, printable) ?>
    function <?ct var:prefix ?>validateSecurity() {
        var mode = document.forms[0].elements['<?ct var:prefix ?>securityMode'].value;
        if (mode == 'wpa-personal') {
            return <?ct var:prefix ?>validateWpaPsk();
        } else if (mode == 'static-wep') {
            return <?ct var:prefix ?>validateStaticWep();
        } else if (mode == 'dot1x') {
            return <?ct var:prefix ?>validate1x();
        } else if (mode == 'wpa-enterprise') {
            return <?ct var:prefix ?>validateWpaRadius();
        } else if (mode == 'plain-text') {
            return "";
        } else {
            return "Unknown security mode " + mode + ".";
        }
    }

    function <?ct var:prefix ?>validateWpaPsk() {
        var key = document.forms[0].elements['<?ct var:prefix ?>wpa_psk_layerwpaPskKey'].value;
        if (! isValidWpaPskPassPhrase(key)) {
           return 'The <?ct var:printable ?> WPA-PSK key is incorrect: '
                  + getInvalidWpaPskPassPhraseReason(key);
        } else {
           return "";
        }
    }

    function <?ct var:prefix ?>validateStaticWep() {
        var transferKeyIndex = document.forms[0].elements['<?ct var:prefix ?>static_wep_layerwepTransferKeyIndex'].value;
        var bytes = document.forms[0].elements['<?ct var:prefix ?>static_wep_layerwepKeyLength'][0].checked ? 5 : 13;
        var ascii = document.forms[0].elements['<?ct var:prefix ?>static_wep_layeruseAsciiWepKeys'][0].checked;

        var msg = "";

        msg = msg 
            + validateStaticWepKey(1, transferKeyIndex, bytes, ascii,
                                   document.forms[0].elements['<?ct var:prefix ?>static_wep_layerwepKey1'].value);
        msg = msg 
            + validateStaticWepKey(2, transferKeyIndex, bytes, ascii,
                                   document.forms[0].elements['<?ct var:prefix ?>static_wep_layerwepKey2'].value);
        msg = msg 
            + validateStaticWepKey(3, transferKeyIndex, bytes, ascii,
                                   document.forms[0].elements['<?ct var:prefix ?>static_wep_layerwepKey3'].value);
        msg = msg 
            + validateStaticWepKey(4, transferKeyIndex, bytes, ascii,
                                   document.forms[0].elements['<?ct var:prefix ?>static_wep_layerwepKey4'].value);

        if (msg.length > 0) {
            msg = "There is a problem with the <?ct var:printable ?> Static WEP Keys:\n" 
                  + msg;
        }

        return msg;
    }

    function <?ct var:prefix ?>validate1x() {
        var msg = "";

        if (! ipIsValid('<?ct var:prefix ?>one_x_layerradiusIp')) {
            msg = msg
                + 'The <?ct var:printable ?> Radius IP is invalid: '
                + getInvalidIpReason('<?ct var:prefix ?>one_x_layerradiusIp')
                + '\n';
        }

        if (! serverIsValid('<?ct var:prefix ?>one_x_layerradiusIp', 'lanIp', 'lanNetmask')) {
            msg = msg
                + 'The <?ct var:printable ?> Radius IP is invalid '
                + 'with the current IP Address and Netmask: '
                + getInvalidServerReason('<?ct var:prefix ?>one_x_layerradiusIp', 'lanIp', 'lanNetmask')
                + '\n';
        }

        var radiusKey = document.forms[0].elements['<?ct var:prefix ?>one_x_layerradiusKey'].value;
        if (! isHostapdString(radiusKey)) {
            msg = msg
                + 'The <?ct var:printable ?> Radius Key is invalid: '
                + getInvalidHostapdStringReason(radiusKey)
                + '\n';
        }

        return msg;
    }

    function <?ct var:prefix ?>validateWpaRadius() {
        var msg = "";

        if (! ipIsValid('<?ct var:prefix ?>wpa_with_radius_layerradiusIp')) {
            msg = msg
                + 'The <?ct var:printable ?> Radius IP is invalid: '
                + getInvalidIpReason('<?ct var:prefix ?>wpa_with_radius_layerradiusIp')
                + '\n';
        }

        if (! serverIsValid('<?ct var:prefix ?>wpa_with_radius_layerradiusIp', 'lanIp', 'lanNetmask')) {
            msg = msg
                + 'The <?ct var:printable ?> Radius IP is invalid '
                + 'with the current IP Address and Netmask: '
                + getInvalidServerReason('<?ct var:prefix ?>wpa_with_radius_layerradiusIp', 'lanIp', 'lanNetmask')
                + '\n';
        }

        var radiusKey = document.forms[0].elements['<?ct var:prefix ?>wpa_with_radius_layerradiusKey'].value;
        if (! isHostapdString(radiusKey)) {
            msg = msg
                + 'The <?ct var:printable ?> Radius Key is invalid: '
                + getInvalidHostapdStringReason(radiusKey)
                + '\n';
        }

        return msg;
    }
<?ct /def ?>

<?ct def:print_security_javascript_toggle_functions(prefix) ?>
    function <?ct var:prefix ?>toggleSecurityMode(mode) {
        resetLayersBySelect(mode, security_modes, <?ct var:prefix ?>security_layers);
    }

    <?ct call:print_wep_toggle_functions(prefix+"static_wep_layer") ?>
    <?ct if:CONFIG_OAP_ORCHESTRATOR ?>
        <?ct call:print_auth_server_toggle_functions(prefix+"one_x_layer") ?>
        <?ct call:print_auth_server_toggle_functions(prefix+"wpa_with_radius_layer") ?>
    <?ct /if ?>
<?ct /def ?>

<?ct def:print_security_javascript_functions(prefix, printable) ?>
    <?ct call:print_security_javascript_validate_functions(prefix, printable) ?>
    <?ct call:print_security_javascript_toggle_functions(prefix) ?>
<?ct /def ?>

<?ct def:print_security_hidden_inputs() ?>
    <input disabled name="lanIp0" type="hidden" value="<?i802 sub(actualLanIp0) ?>">
    <input disabled name="lanIp1" type="hidden" value="<?i802 sub(actualLanIp1) ?>">
    <input disabled name="lanIp2" type="hidden" value="<?i802 sub(actualLanIp2) ?>">
    <input disabled name="lanIp3" type="hidden" value="<?i802 sub(actualLanIp3) ?>">

    <input disabled name="lanNetmask0" type="hidden" value="<?i802 sub(actualLanNetmask0) ?>">
    <input disabled name="lanNetmask1" type="hidden" value="<?i802 sub(actualLanNetmask1) ?>">
    <input disabled name="lanNetmask2" type="hidden" value="<?i802 sub(actualLanNetmask2) ?>">
    <input disabled name="lanNetmask3" type="hidden" value="<?i802 sub(actualLanNetmask3) ?>">
<?ct /def ?>
