#include "busybox.h"

extern void ipt_ah_init(void);
extern void ipt_connlimit_init(void);
extern void ipt_connmark_init(void);
extern void ipt_conntrack_init(void);
extern void ipt_dscp_init(void);
extern void ipt_ecn_init(void);
extern void ipt_esp_init(void);
extern void ipt_helper_init(void);
extern void ipt_icmp_init(void);
extern void ipt_iprange_init(void);
extern void ipt_length_init(void);
extern void ipt_limit_init(void);
extern void ipt_mac_init(void);
extern void ipt_mark_init(void);
extern void ipt_multiport_init(void);
extern void ipt_owner_init(void);
extern void ipt_physdev_init(void);
extern void ipt_pkttype_init(void);
extern void ipt_realm_init(void);
extern void ipt_rpc_init(void);
extern void ipt_standard_init(void);
extern void ipt_state_init(void);
extern void ipt_tcp_init(void);
extern void ipt_tcpmss_init(void);
extern void ipt_tos_init(void);
extern void ipt_ttl_init(void);
extern void ipt_udp_init(void);
extern void ipt_unclean_init(void);
extern void ipt_CLASSIFY_init(void);
extern void ipt_CONNMARK_init(void);
extern void ipt_DNAT_init(void);
extern void ipt_DSCP_init(void);
extern void ipt_ECN_init(void);
extern void ipt_LOG_init(void);
extern void ipt_MARK_init(void);
extern void ipt_MASQUERADE_init(void);
extern void ipt_MIRROR_init(void);
extern void ipt_NETMAP_init(void);
extern void ipt_NOTRACK_init(void);
extern void ipt_REDIRECT_init(void);
extern void ipt_REJECT_init(void);
extern void ipt_SAME_init(void);
extern void ipt_SNAT_init(void);
extern void ipt_TARPIT_init(void);
extern void ipt_TCPMSS_init(void);
extern void ipt_TOS_init(void);
extern void ipt_TRACE_init(void);
extern void ipt_TTL_init(void);
extern void ipt_ULOG_init(void);
void init_extensions(void) {
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_AH
	ipt_ah_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_CONNLIMIT
	ipt_connlimit_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_CONNMARK
	ipt_connmark_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_CONNTRACK
	ipt_conntrack_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_DSCP
	ipt_dscp_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_ECN
	ipt_ecn_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_ESP
	ipt_esp_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_HELPER
	ipt_helper_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_ICMP
	ipt_icmp_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_IPRANGE
	ipt_iprange_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_LENGTH
	ipt_length_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_LIMIT
	ipt_limit_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_MAC
	ipt_mac_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_MARK
	ipt_mark_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_MULTIPORT
	ipt_multiport_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_OWNER
	ipt_owner_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_PHYSDEV
	ipt_physdev_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_PKTTYPE
	ipt_pkttype_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_REALM
	ipt_realm_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_STANDARD
	ipt_standard_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_STATE
	ipt_state_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_TCP
	ipt_tcp_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_TCPMSS
	ipt_tcpmss_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_TOS
	ipt_tos_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_TTL
	ipt_ttl_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_UDP
	ipt_udp_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_UNCLEAN
	ipt_unclean_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_CLASSIFY
	ipt_CLASSIFY_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_DNAT
	ipt_DNAT_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_LOG
	ipt_LOG_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_MASQUERADE
	ipt_MASQUERADE_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_MIRROR
	ipt_MIRROR_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_NETMAP
	ipt_NETMAP_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_NOTRACK
	ipt_NOTRACK_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_REDIRECT
	ipt_REDIRECT_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_REJECT
	ipt_REJECT_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_SAME
	ipt_SAME_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_SNAT
	ipt_SNAT_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_TARPIT
	ipt_TARPIT_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_TRACE
	ipt_TRACE_init();
#endif
#ifdef CONFIG_FEATURE_IPTABLES_EXT_IPT_ULOG
	ipt_ULOG_init();
#endif
}
