#ifndef _XML_UTILS_H
#define _XML_UTILS_H

#define MAX_INTERFACES	128

#define INTERFACE_TAG		"interface"
#define RADIO_TAG		"radio"
#define BSS_TAG			"bss"
#define SUPPORTED_RATE_TAG	"supported-rate"
#define NAME_TAG		"name"
#define LCL_TYPE		"type"
#define LCL_SERVICE_SET		"service-set" 

#define LSQL_GET_SUCCESS	1
#define LSQL_GET_FAILURE	0
#define LSQL_MEMORY_FAILURE	-1
#define LSQL_SET_SUCCESS	1
#define LSQL_SET_FAILURE	0

struct tag_data{
	char value[128];
};

struct tag_data iface_tags[MAX_INTERFACES];

void lcl_get_tags(xmlDocPtr doc, xmlNodePtr cur, const char *data, int *count);
int setXMLTableData(char *base, char *index, char *tag, char *value);
#endif /* _XML_UTILS_H */
