<!-- Copyright 2004 Instant802 Networks, Inc. All Rights Reserved. -->

<?ct def:print_validate_vwn(vwn) ?>
            function validateVwn<?ct var:vwn ?>() {
	        var msg = "";
		var elm;

                // XXX Security.

                // XXX - Prohibit vwn1 and vwn2 from having the same VLAN
                // id as each other or guest or internal.

                if (msg.length > 0) {
                    msg = 'The Virtual Wireless Network <?ct if:vwn==1 ?>One<?ct else ?>Two<?ct /if ?> configuration has the following problems:\n' + msg;
                }

                return msg;
            }
<?ct /def ?>

<?ct def:print_radio_mode(radio) ?>
    <tr align="center">
		<td align="center">
		    <table align="center">
				<tr>
					<td class="namelevelone">Mode</td>
						<?ct call:print_vfiller() ?>
						<td class="value">
							<select name="r<?ct var:radio ?>Mode" onChange="onModeChange(this,document.forms[0].elements['radioInterface'])">
								    <?ct set:count = #0 ?> 
								    <?ct set:mode_num = #1 ?> 
									<?ct each:item = Driver ?>
										<?ct lvar: "<" + "?ct set:optionVal =" + "Driver." + count + ".FullName" + "?" + ">" ?>
										<?ct lvar: "<" + "?ct if:" + "CONFIG_OAP_RADIO_" + radio + "_MODE_" + mode_num + "?" + ">" + "<option value='" + "<" + "?ct var:optionVal ?" + ">' <" + "?i802 selected(" + "r" + radio + "Mode" + ", " + "<" + "?ct var:optionVal ?" + ">" +  ") ?" + ">><" + "?ct var:Driver." + count + ".FullName ?" + ">" + "</option><" + "?ct /if ?" + ">" ?>
								    	<?ct set:count = count + #1 ?> 
								    	<?ct set:mode_num = mode_num + #1 ?> 
									<?ct /each ?>									
							</select>
						</td>
				</tr>
			</table>
		</td>
    </tr>
<?ct /def ?>

<?ct def:print_vwn_status(vwn) ?>
    <tr align="center">
	<td align="center">
	    <table align="center">
		<tr>
		    <td class="namelevelone"> 
			Status
		    </td>
		    <?ct call:print_vfiller() ?>
	            <td class="value">
			<input class="value" type=radio value="on"
			       onClick="toggleVwnEnabled(true, <?ct var:vwn ?>)"		        <?ct call:print_box_name_checked("vwn" + vwn + "Status", "on") ?>> On
			<input class="value" type=radio value="off"
			       onClick="toggleVwnEnabled(false, <?ct var:vwn ?>)"
			<?ct call:print_box_name_checked("vwn" + vwn + "Status", "off") ?>> Off
		    </td>
		</tr>
	    </table>
	</td>
    </tr>
<?ct /def ?>

<?ct def:print_vwn_general(vwn) ?>
    <div align="center" id="vwn<?ct var:vwn ?>layer">
        <table align="center" width="100%">
            <?ct call:print_vwn_status(vwn) ?>
            <?ct call:print_hfiller(#0) ?>
            <?ct call:print_ssid("","vwn"+vwn) ?>
            <?ct call:print_hfiller(#0) ?>
            <?ct call:print_vlan("vwn"+vwn) ?>
            <?ct call:print_hfiller(#0) ?>
            <?ct call:print_block_broadcasts("vwn"+vwn) ?>
            <?ct call:print_hfiller(#0) ?>
            <?ct call:print_security_mode("vwn"+vwn) ?>
            <?ct call:print_hfiller(#0) ?>
        </table>
    </div>
<?ct /def ?>

<?ct def:print_vwn_security_layers(vwn) ?>
    <?ct call:print_security_layers("vwn"+vwn) ?>
<?ct /def ?>
